---
title: 'ARIA: Region role'
slug: Web/Accessibility/ARIA/Roles/Region_role
tags:
  - ARIA
  - ARIA Role
  - Accessibility
  - Reference
  - landmark role
  - role-region
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p><span class="seoSummary">The <strong><code>region</code></strong> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> is used to identify an area in the document that the author has identified as significant. It is used to provide a generic landmark for people to be able to navigate to easily when none of the other landmark roles are appropriate.</span></p>

<pre class="brush: html">&lt;div role="region" aria-label="Example"&gt;
  &lt;!-- region content --&gt;
&lt;/div&gt;
</pre>

<h2 id="Description">Description</h2>

<p>The <code>region</code> role is <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">an ARIA landmark</a> role. Landmark roles provide a way to identify the organization and structure of a web page. By classifying and labeling sections of a page, structural information conveyed visually through layout is represented programmatically. Screen readers use landmark roles to provide keyboard navigation to important sections of a page.</p>

<p>The region role should be reserved for sections of content sufficiently important that users will likely want to navigate to the section easily and to have it listed in a summary of the page. A region role is a more generic term, and should only be used if the section needing to be identified is not accurately described by one of the other landmark roles, such as <a href="/en-US/docs/">banner</a>, <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Main_role">main</a>, <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Contentinfo_role">contentinfo</a>, <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Complementary_role">complementary</a>, or <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Navigation_Role">navigation</a>.</p>

<p>Every element with a region role should include a label that describes the purpose of the content in the region, preferably with an aria-labelledby referencing a visible header. If no visible appropriate header is present, aria-label should be used..</p>

<p><code>region</code> landmark roles content should make sense if separated from the main content of the document.</p>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/section"><code>&lt;section&gt;</code> element</a> will automatically communicate a section has a role of <code>region</code> if it is given an accessible name. Developers should always prefer using the correct semantic HTML element, in this case &lt;section&gt;, over using ARIA.</p>

<h3 id="Associated_WAI-ARIA_Roles_States_and_Properties">Associated WAI-ARIA Roles, States, and Properties</h3>

<dl>
 <dt><span class="highlight-span">aria-labelledby</span></dt>
 <dd><span class="highlight-span">Use this attribute to label the region. Often, the value of the aria-labelledby attribute will be the id of the element used to title the section.</span></dd>
</dl>

<h3 id="Keyboard_Interactions">Keyboard Interactions</h3>

<p>None.</p>

<h3 id="Required_JavaScript_features">Required JavaScript features</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre><span class="tag">&lt;div role="region" aria-labelledby="region-heading"&gt;
  &lt;h2 id="region-heading"&gt;This heading's &lt;code&gt;id&lt;/code&gt; attribute helps this region have an accessible name&lt;/h2&gt;
  &lt;!-- region content --&gt;
&lt;/div&gt;</span>
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Use sparingly<a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">! Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<p>Only use the <code>region</code> role if no other relevant <a href="/en-US/docs/Web/HTML/Element#Content_sectioning">content sectioning element</a> or <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> applies. If multiple regions exist on a page, it may be worth reinvestigating the page's overall structure.</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/section"><code>&lt;section&gt;</code> element</a> will automatically communicate that a section has a role of <code>region</code> if it is given an accessible name. If at all possible, prefer using it instead.</p>

<h3 id="Labeling_landmarks">Labeling landmarks</h3>

<p>If there is more than one <code>region</code> landmark role in a document, provide a label for each one. This label will allow an assitive technology user to be able to quickly understand the purpose of each landmark.</p>

<pre class="brush: html">&lt;div role="region" aria-labelledby="heading"&gt;
  &lt;h3 id="use-discretion"&gt;Please use the &lt;code&gt;region&lt;/code&gt; role with discretion&lt;/h3&gt;
  &lt;!-- content --&gt;
&lt;/div&gt;

...

&lt;div role="region" aria-labelledby="please-reconsider"&gt;
  &lt;h3 id="please-reconsider"&gt;Please reconsider your document structure&lt;/h3&gt;
  &lt;!-- content --&gt;
&lt;/div&gt;
</pre>

<p>In this example, the region's label is being generated by the <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-labelledby_attribute"><code>aria-labelledby</code> attribute</a>.</p>

<h3 id="Scrolling_content_areas_with_overflow_text">Scrolling content areas with overflow text</h3>

<p>If there is a content area with <code>tabindex="0"</code>, add <code>role="region"</code> to convey to screen reader users that is a generic region. This is done to allow keyboard-only users to scroll regions with overflow text.</p>

<h3 id="SVG">SVG</h3>

<p><code>role="region"</code> can be declared on areas of <a href="/en-US/docs/Web/SVG/Element/svg">SVG</a> along with an <code>aria-label</code> to allow individual sections of the SVG to be described.</p>

<h3 id="Added_benefits">Added benefits</h3>

<p>Certain technologies such as browser extensions can generate lists of all landmark roles present on a page, allowing non-screen reader users to also quickly identify and navigate to large sections of the document.</p>

<ul>
 <li><a href="http://matatk.agrip.org.uk/landmarks/">Landmarks browser extension</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#region","ARIA Region Role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_region","Region landmark role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/section">&lt;section&gt;: The Generic Section element</a></li>
 <li><a href="https://www.w3.org/TR/wai-aria/#region">region (role): Accessible Rich Internet Applications (WAI-ARIA) 1.1</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles: Using ARIA: Roles, States, and Properties</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/02/using-wai-aria-landmarks-2013/">Using WAI-ARIA Landmarks – 2013 | The Paciello Group</a></li>
 <li><a href="https://www.scottohara.me/blog/2018/03/03/landmarks.html">Accessible Landmarks | scottohara.me</a></li>
 <li><a href="http://html5doctor.com/the-section-element/">The section element | HTML5 Doctor</a></li>
</ul>
